System.ServiceModel 4.0.0.0 System.Collections.Generic.KeyedByTypeCollection<System.Object> System.Object

The is a collection of objects that is used when a custom binding needs to provide additional parameters to another binding. For example, the looks for in the to determine Security auditing settings.

Represents a collection of binding parameters that store information used by binding elements to build factories.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Type `` To be added.

  Gets the key of an item contained in the collection.

  The object that represents the key of the specified in the collection.

  The item in the collection whose key is to be retrieved.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Inserts an element at the specified index of this collection.

  The zero-based index in the collection at which should be inserted. The object to insert into the collection.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Replaces the item at the specified index with a new object.

  The zero-based index at which to set the new . The object to set into the collection.